Subject: [PATCH 2/2] memory: omap-gpmc: Add Kconfig option for debug

From: [email-masked] (Tony Lindgren)
Date: Fri, 8 Jan 2016 09:10:14 -0800

* Ivaylo Dimitrov <[email-masked]> [160107 21:14]:
> Hi
> 
> On  8.01.2016 04:26, Tony Lindgren wrote:
> >
> >Yes it seems there's some other issue too. Maybe you can run git bisect
> >again and carry the fix along as an extra patch?
> 
> No sane way to bisect, I don't really know what triggers the issue. Neither
> it is triggered regularly. It might happen on the first reboot or on the
> tenth, or ... And it looks like the problems happens sometimes on oops too.
> Not to say that it seems I should have fully booted userspace (so there is
> enough pressure on the ubi/mdt/nand subsystems), which is impossible with
> upstream without some n900 specific patches :(

Hmm OK. Can you check if disabling deeper idle states helps?

Just set the UART timeouts to -1. You may also want to disable off mode
with echo 0 > /sys/kernel/debug/pm_debug/enable_off_mode.

If it happens during booting, chances are idle is not even hit though.

> Maybe we can get some ideas on what and where to look from ubifs people?
> Though I don't know whom to cc, feel free to help :)
> 
> My best bet aiui, is comparing what nokia omap1 kernel does vs upstream. Or
> looking at the commit log in ubi/mtd/onenand - who knows, I might get lucky
> once again the same way as with that phonet oops in
> __netif_receive_skb_core.

Well maybe we now have error messages that actually make sense?

> >OK then it really seems like we do have another bug lurking around.
> 
> :nod:

I've sent out the pull request and Arnd pulled the fix into arm-soc
so we should have it merged for v4.4 FYI.

Regards,

Tony